Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #731 (closed defect: fixed)

Opened 13 years ago

Last modified 11 years ago

install.sh relies on /lib/modules/`uname -a`/build

Reported by: mmclagan@invlogic.com Assigned to: mrenzmann
Priority: major Milestone: version 0.9.2
Component: madwifi: makefiles Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

As of SVN #1660, patches/install.sh will not run unless /lib/modules/uname -a/build is available EVEN IF the install patch (where to patch) is provided on the command line. It requires both the symlink (build -> /usr/src/linux-2.6....) and the target directory (/usr/src/linux-2.6.....).

Neither is necessary when a command line param is supplied. In fact, once they're created, no files are modified or created in the directory. The script just won't run without them.

[root@linux patches]# ./install.sh /usr/src/linux
Copying top-level files
/bin/sh: line 0: cd: /lib/modules/2.6.17.3/build: No such file or directory
Makefile.inc:95: *** /lib/modules/2.6.17.3/build is missing, please set KERNELPATH.  Stop.

Change History

07/03/06 06:04:01 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.
  • version set to trunk.
  • milestone set to version 0.9.2.

07/03/06 06:12:41 changed by mrenzmann

  • status changed from assigned to closed.
  • resolution set to fixed.

Thanks for the report, fixed in r1663.

08/08/06 08:04:43 changed by truongvan1507@yahoo.com.vn

I readed it note, but It only shows me that error, you can help fix this error??? please help me!!!

08/24/06 00:32:50 changed by davor

se puede saber que hago si tengo este error ???

08/24/06 10:55:33 changed by mrenzmann

@davor: Please use english language for your comments, so that we all understand what you're asking. However, this ticket is closed - if you still face the originally reported issue in a recent version of MadWifi, the ticket should be reopened and new information should be added.

08/24/06 10:56:21 changed by mrenzmann

Sorry, that was wrong. This ticket should not be reopened, but a new ticket should be created that describes the problem and refers to this (closed) ticket.

08/24/07 01:17:46 changed by anonymous

Hi, I am getting the same make error with Debian kernel 2.6.18-5-686 and madwifi madwifi-0.9.3.2

blahblahblah:~/madwifi-0.9.3.2# make /bin/sh: line 0: cd: /lib/modules/2.6.18-5-686/build: No such file or directory Makefile.inc:66: *** /lib/modules/2.6.18-5-686/build is missing, please set KERNELPATH. Stop.

(in reply to: ↑ description ) 01/26/08 22:02:31 changed by anonymous

Replying to mmclagan@invlogic.com:

As of SVN #1660, patches/install.sh will not run unless /lib/modules/uname -a/build is available EVEN IF the install patch (where to patch) is provided on the command line. It requires both the symlink (build -> /usr/src/linux-2.6....) and the target directory (/usr/src/linux-2.6.....). Neither is necessary when a command line param is supplied. In fact, once they're created, no files are modified or created in the directory. The script just won't run without them. {{{ [root@linux patches]# ./install.sh /usr/src/linux Copying top-level files /bin/sh: line 0: cd: /lib/modules/2.6.17.3/build: No such file or directory Makefile.inc:95: *** /lib/modules/2.6.17.3/build is missing, please set KERNELPATH. Stop. }}}